Loading...
Searching...
No Matches
PUtilInt Class Reference

## Public Member Functions

| PUtilInt ()
| PUtilInt (int i)
| ~PUtilInt ()
PUtilBase * | copy () const
CanonicalForm | getval () const
int | getintval () const
bool | isInt () const
bool | isCF () const
bool | isVar () const
Public Member Functions inherited from PUtilBase
| PUtilBase ()
virtual | ~PUtilBase ()

## Private Attributes

int | val

## Detailed Description

Definition at line 28 of file parseutil.cc.

## Constructor & Destructor Documentation

## PUtilInt() [1/2]

PUtilInt::PUtilInt | ( |  | ) |

inline

Definition at line 33 of file parseutil.cc.

{ val = 0; }
PUtilInt::val
int val
Definition parseutil.cc:31

## PUtilInt() [2/2]

PUtilInt::PUtilInt | ( | int | i | ) |

inline

Definition at line 34 of file parseutil.cc.

{ val = i; }
i
int i
Definition cfEzgcd.cc:132

## ~PUtilInt()

PUtilInt::~PUtilInt | ( |  | ) |

inline

Definition at line 35 of file parseutil.cc.

{}

## Member Function Documentation

## copy()

PUtilBase * PUtilInt::copy | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 36 of file parseutil.cc.

{ return new PUtilInt( val ); }
PUtilInt::PUtilInt
PUtilInt()
Definition parseutil.cc:33

## getintval()

int PUtilInt::getintval | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 38 of file parseutil.cc.

{ return val; }

## getval()

CanonicalForm PUtilInt::getval | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 37 of file parseutil.cc.

{ return CanonicalForm( val ); }

## isCF()

bool PUtilInt::isCF | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 40 of file parseutil.cc.

{ return false; }

## isInt()

bool PUtilInt::isInt | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 39 of file parseutil.cc.

{ return true; }

## isVar()

bool PUtilInt::isVar | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 41 of file parseutil.cc.

{ return false; }

## Field Documentation

## val

int PUtilInt::val

private

Definition at line 31 of file parseutil.cc.

The documentation for this class was generated from the following file:

- factory/parseutil.cc